5.2.3.2.2. Check Figure Property
Prev | 5.2.3.2. Actions that perform checks - GEF Figure Canvas | Next

#### 5.2.3.2.2. Check Figure Property

Check Figure Property

- Use this action to check a specific property of a figure.

  | If you want the check a property of the figure canvas as a whole, use the action Check Property on the Graphics Component component.

- You can check whether a value you enter for a given property matches the actual value for the property.

- Enter the name of the property you want to check, and then what value it should have.

- Parameters:

  - Textpath

  - Text Operator

  - Property Name

  - Property Value

  - Value Operator

Check Connection Figure Property

- Use this action to check a specific property of a connection figure.

- The connection is addressed via the corresponding source and the target text path. The figure as well as the appropriate anchor can be used as the source.

- Parameters:

  - Source Text Path

  - Source Operator

  - Target Text Path

  - Target Operator

  - Property Name

  - Property Value

  - Value Operator

| If the property is private, it cannot be checked, as the remote control component has no access to it.